<?php


namespace AustraliaPost\Extensions\Business\API\Wrapper;


class Price_Item_Clearance_Description {

	private $description;
	private $quantity;
	private $value;
	private $countryOfOrigin;

	/**
	 * @return string
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * @param string $description
	 *
	 * @return Price_Item_Clearance_Description
	 */
	public function setDescription( $description ) {
		$this->description = $description;

		return $this;
	}

	/**
	 * @return int
	 */
	public function getQuantity() {
		return $this->quantity;
	}

	/**
	 * @param int $quantity
	 *
	 * @return Price_Item_Clearance_Description
	 */
	public function setQuantity( $quantity ) {
		$this->quantity = $quantity;

		return $this;
	}

	/**
	 * @return float
	 */
	public function getValue() {
		return round($this->value, 2);
	}

	/**
	 * @param float $value
	 *
	 * @return Price_Item_Clearance_Description
	 */
	public function setValue( $value ) {
		$this->value = $value;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getCountryOfOrigin() {
		return $this->countryOfOrigin;
	}

	/**
	 * @param mixed $countryOfOrigin
	 *
	 * @return Price_Item_Clearance_Description
	 */
	public function setCountryOfOrigin( $countryOfOrigin ) {
		$this->countryOfOrigin = $countryOfOrigin;

		return $this;
	}

	/**
	 * @return array
	 */
	public function getPayload()
	{
		return [
			'description' => $this->getDescription(),
			'quantity' => $this->getQuantity(),
			'value' => $this->getValue(),
			'country_of_origin' => $this->getCountryOfOrigin(),
		];
	}

}
